Bug 197379 - CVE-2006-3017 zend_hash_del bug
Summary: CVE-2006-3017 zend_hash_del bug
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php   
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: reported=20060516,impact=moderate,pub...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-30 18:38 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 5.1.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-03 12:24:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2006-06-30 18:38:34 UTC
+++ This bug was initially created as a clone of Bug #196256 +++

CVE-2006-3017: A bug in zend_hash_del() allowed attackers to prevent
unsetting of some variables.  Fixed upstream in PHP 5.1.4

This could be bad for scripts where register_globals is on as often variables
are only initialized by unsetting them,  but it could also have side effects on
other scripts depending on the script.

Upstream fix:

http://cvs.php.net/viewcvs.cgi/Zend/zend_hash.c?hideattic=0&r1=1.87.4.8.2.1&r2=1.87.4.8.2.2

This issue should also affect FC4

Comment 1 Joe Orton 2006-11-03 12:24:00 UTC
Fixed in 5.1.4 update, FEDORA-2006-289.


Note You need to log in before you can comment on or make changes to this bug.